%define upstream_name	 forks
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Drop-in replacement for Perl threads using fork()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Acme::Damn)
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Socket) >= 1.180.0
BuildRequires: perl(List::MoreUtils) >= 0.150.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::SigAction) >= 0.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl-devel
# This provides is not getting picked up
Provides:       perl(forks::Devel::Symdump) = %{version}

%description
The "forks" pragma allows a developer to use threads without having to have
a threaded perl, or to even run 5.8.0 or higher.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
yes no | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/%{upstream_name}/*
%{perl_vendorarch}/%{upstream_name}/*
%{perl_vendorarch}/threads/shared/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.360.0-4pclos2017
- rebuild against updates

